<?php
namespace MMC\MmcGuestbook\ViewHelpers;

class IfHasErrorsViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper {

  /**
	 * @var bool
	 */
	protected $escapeOutput = false;

	/**
	 * checks if $for has errors, if yes returns $then else $else.
	 *
	 * @param string $for The name of the error name (e.g. argument name or property name). This can also be a property path (like blog.title).
	 * @param string $then the output if there was an error
	 * @param string $else the output if there was no error
	 * @return string Rendered string
	 * @api
	 */
	public function render($for = '', $then = '',  $else = '') {
		$validationResults = $this->controllerContext->getRequest()->getOriginalRequestMappingResults();
		if ($validationResults !== NULL && $for !== '') {
			$validationResults = $validationResults->forProperty($for);
		}
		return $validationResults->hasErrors() ? $then : $else;
	}

}

?>
